Subject: Re: [Tsv-art] Tsvart last call review of draft-ietf-rtgwg-enterprise-pa-multihoming-08

From: Robert Raszuk <[email-masked]>
Date: Mon, 1 Jul 2019 13:45:22 +0200

Hi Jen,

What you say below about IPv4 and NAT is true ... but it is not complete.

Yes when I use multi homing and I do NAT on the CE upon link loss the
address of all of transport sessions will change.

But please imagine the case (my own setup) where I am multi homed, I use
1918 space in my LAN which I extend over my multihomed connections to a
satellite near by cloud VM with static IP from cloud's provider registered
space. On that VM I run NAT and go off to Internet.

That means that if any of my uplink goes down or up all of my sessions stay
up.

Question #1:

Now how would I do this in your proposal ? How would I do that in general
with IPv6 ?

Question #2:

Imagine the qualiy of the links I am multihomed with do change during the
day or during the week. Today I can measure run time SLAs (delay, jitter,
rtt, MOS etc ... ) and based on that choose which ISP the packets should
take on the way out (to Internet or my described above VM) without touching
the applications, servers etc ...

Trust me the above Performance Based Routing pays off. But I am sure you
know. So with your proposal how is that possible any longer ? If 100s of
servers are to choose src IP address are you suggesting that all 100s of
them will be running SLA probes every few seconds to choose optimal uplink
?

What is the answer to this Q in your solution ?

Cheers,
R.

On Mon, Jul 1, 2019 at 8:38 AM Jen Linkova <[email-masked]> wrote:

> Hi Michael,
>
> First of all, thanks for your review and comments - my apologies for
> not responding earlier...
>
> On Thu, Jun 6, 2019 at 11:24 PM Michael Tüxen via Datatracker
> <[email-masked]> wrote:
> > The document looks good from my perspective, but could make two things
> clearer:
> > * If the connectivity to one ISP break down all transport connections
> without specific
> >   multihoming support will break. This includes all TCP connections.
>
> Ah, good point. If we add the following subsection to the "Section 6.
> Deployment Considerations"
>
> "6.1. Connections Preservation
>
> The proposed solution is not designed to preserve connection state in
> case of an uplink failure. When all uplinks to an ISP go down all
> transport connections established to/from that ISP address space will
> be interrupted (unless the transport protocol has specific multihoming
> support). That behaviour is similar to the scenario of IPv4
> multihoming with NAT when an uplink failure causes all connections to
> be NATed to completely different public IPv4 addresses.
>
> It should be noted that in case of IPv4 NAT-based multihoming uplink
> recovery could cause connection interruptions as well (unless packet
> forwarding is integrated with existing NAT sessions tracking so the
> egress interface for the existing sessions is not changed). However
> the proposed solution has a benefit of preserving the existing
> sessions during/after the failed uplink restoration. Unlike the uplink
> failure event which causes all addresses from the affected prefix to
> be deprecated the recovery would just add new preferred addresses to a
> host without making any addresses unavailable. Therefore connections
> estavlished to/from those addresses do not have to be interrupted.
> "
> would it address your comment?
>
> > * The description of transport based alternatives in section 7.3 is
> pretty generic.
> >   However, this might be acceptable since the main argument that it is
> right now
> >   not an alternative due to limited deployment, is valid.
>
> I see what you mean but I'm not sure how to improve it...If you have
> any suggestions it would be highly appreciated!
> Thanks!
>
> --
> SY, Jen Linkova aka Furry
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>